﻿using BPA.SAAS.Manage.Application.AExternalPlatform.Service.CheckService.Services;
using BPA.SAAS.Manage.Application.AExternalPlatform.Service.WeighingService.Dtos;
using BPA.SAAS.Manage.Application.AExternalPlatform.Service.WeighingService.Services;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Application.AExternalPlatform.Service.WeighingService
{

    [ApiDescriptionSettings("开放平台", Tag = "称重接口"), AllowAnonymous]
    public class WeighingServices: IDynamicApiController
    {

        private readonly IWeighingService _weighingService;
        public WeighingServices(IWeighingService weighingService)
        {
            _weighingService = weighingService;
        }


        /// <summary>
        /// 获取商品信息
        /// </summary>
        /// <returns></returns>
        [HttpPost("/api/ExternalPlatform/WeighingService/GetGoodsInfo")]
        public async Task<List<GoodsTypeDto>> GetGoodsInfo()
        {
            return await _weighingService.GetGoodsInfo();
        }
    }
}
